
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Flex中TextInput组件设置限制某些字符的输入的方法_Flex / iVAN</title>

    <meta name="description" content="Flex中TextInput组件设置限制某些字符的输入的方法_Flex 1. 限制某个字符的输入,用符号 ^ 跟上要限制的字符,可跟多个字符 &lt;!-- 限制字符&quot;~&quot;的输入 --&gt; &lt;mx:TextInput id=&quot;xxx&quot; restrict=&quot;^~&quot; /&gt; &lt;!-- 限制字符&quot;ab&quot;的输入 --&gt; &lt;mx:TextInput id=&quot;xxx&quot; restrict=&quot;^ab&quot; /&gt; 2. 设置只能输入 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Flex中TextInput组件设置限制某些字符的输入的方法_Flex</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>1. 限制某个字符的输入，用符号 ^ 跟上要限制的字符，可跟多个字符</p>
<p>&lt;!-- 限制字符"~"的输入 --&gt; <br />&lt;mx:TextInput id="xxx" restrict="^~" /&gt;</p>
<p>&lt;!-- 限制字符"ab"的输入 --&gt; <br />&lt;mx:TextInput id="xxx" restrict="^ab" /&gt;</p>
<p>2. 设置只能输入某些字符，将允许输入的字符罗列出来即可，也可以用 - 组合表示字符范围</p>
<p>&lt;!-- 只能输入abc --&gt; <br />&lt;mx:TextInput id="xxx" restrict="abc" /&gt;</p>
<p>&lt;!-- 只能输入小写字母 --&gt; <br />&lt;mx:TextInput id="xxx" restrict="a-z" /&gt;</p>
<p>&lt;!-- 只能输入小写字母、大写字母和数字 --&gt; <br />&lt;mx:TextInput id="xxx" restrict="a-zA-Z0-9" /&gt;</p>
<p>3. 组合使用</p>
<p>&lt;!-- 只能输入数字和点号"." --&gt; <br />&lt;mx:TextInput id="xxx" restrict="0-9\." /&gt;</p>
<p>&lt;!-- 只允许输入数字和-+号"." --&gt; <br />&lt;mx:TextInput id="xxx" restrict="0-9\+\-" /&gt;</p>
<p>&lt;!-- 只能输入除ab之外的小写字母 --&gt; <br />&lt;mx:TextInput id="xxx" restrict="a-z^ab" /&gt;</p>
<p>&lt;!-- 只允许输入数字、英文、汉字 --&gt; <br />&lt;mx:TextInput id="xxx" restrict="0-9\a-z\^{'[\u4e00-\u9fa5]'}" /&gt;</p>
<p>二： FONT color=#108ac6&gt;flex TextInput restrict(正则表达式，约束,限定)</p>
<p>Flex中TextInput的一个比较有用的属性restrict(约束,限定),看下面例子: <br />1,&lt;mx:TextInput id="test_ti" width="160" maxChars="20" restrict="0-9" text="0"/&gt; <br />这样,这个输入框最多只能输入20个字符,只能输入0到9之间的数字了,你如果输入别的是输入不进去的 <br />2,&lt;mx:TextInput id="test_ti" width="160" maxChars="20" restrict="0-9\." text="0"/&gt; <br />这样,输入框可以输入0到9之间的数字,以及输入'.',中间必须用'\'分隔开来 <br />3,&lt;mx:TextInput id="test_ti" width="160" restrict="0-9\ab" text="0"/&gt; <br />这样,输入框可以输入0到9之间的数字,以及a,或b <br />4,&lt;mx:TextInput id="test_ti" width="160" restrict="a-z" text="0"/&gt; <br />可以输入a到z之间任何一个英文字母,'-'表示区间,如果要输入'-',就必须加'\',如\- <br />结论: <br />用restrict有个好处,就是省去了验证的麻烦,比如检验是否为数字,如果加了restrict="0-9",就不需要检验了,因为这个输入框只能输入0到9之间的数字,别的输不进去</p>
<p>详细的列子请看：http://blog.minidx.com/2008/05/16/851.html</p>
<p>三：&lt;mx:TextInput id="userName" maxChars="4" restrict="a-zA-Z0-9" /&gt;</p>
<p>restrict 用法: <br />TextField.restrict = "此处为可输入的内容"; <br />field.restrict = "^此处为禁止输入的内容"; <br />restrict属性支持一些类似正则表达式的样式: <br />field.restrict = "a-zA-z"; //只允许大小字母 <br />field.restrict = "a-zA-z "; //只允许字母和空格 <br />field.restrict = "0-9"; //只允许数字 <br />field.restrict = "^abcdefg"; //除了小写字母abcdefg不允许外,其它都允许 <br />field.restrict = "^a-z"; //所有小写字母都不允许,但是,其它内容都允许,包括大写字母 <br />field.restrict = "0-9^5"; //只允许数字,但5例外 <br />让restrict字符包含具有特殊意义的字母(例如-和^): <br />field.restrict = "0-9\\-"; //允许数字和破折号 <br />field.restrict = "0-9\\^"; //允许数字和^ <br />field.restrict = "0-9\\\\"; //允许数字和反斜杠 <br />你也可以使用Unicode转义序列,指定允许的内容.例如: <br />field.restrict = "^\"; <br />注意:ActionScript有区分大小写的,如果restrict属性设为abc,允许字母的大写形式(A,B和C)输入时会变成小写对待形式(a,b和c),反之亦然.restrict属性只影响用户可以输入的内容,脚本可将任何文本放入文本字段中.</p>
<p>补充：</p>
<p>另外可以追加限制输入的字符数，设置maxChars属性即可 <br />&lt;s:TextInput id="textinput_test" restrict="0-9\-\+" maxChars="4"/&gt;</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:34:02</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/flex/" title="flex">flex</a>, <a href="https://www.iamivan.net/tag/textinput%e7%bb%84%e4%bb%b6/" title="TextInput组件">TextInput组件</a>, <a href="https://www.iamivan.net/tag/%e9%99%90%e5%88%b6%e8%be%93%e5%85%a5/" title="限制输入">限制输入</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Flex中TextInput组件设置限制某些字符的输入的方法_Flex的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Zl4rb.html" rel="bookmark">flex中使用RadioButtonGroup时取出所选项的值的方法&lowbar;Flex</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: &lt;mx:FormItem label=&quot;是否打印:&quot;&gt; &lt;mx:HBox verticalAlign=&quot;middle&quot; horizontalGap=&quot;15&quot;&gt; &lt;mx:RadioButtonGroup id=&quot;dayinID&quot; /&gt; &lt;mx:RadioButton label=&quot;不打印&quot; id=&quot;noPrint&quot; group			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA712vz.html" rel="bookmark">动态-android如何在代码中给组件设置style？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android如何在代码中给组件设置style? RT,不要提TextView了,全部都是告诉我TextView.setTextAppearance(),我要的是别的组件,比如LinearLayout之类的,如何在代码中设置他的style 我看了下源代码,style都是在初始化的时候通过TypedArray解析style然后一条条属性加进去的,那么有没有类似style这样的方法,可以动态设置的 没有C币了,多多包涵下,谢谢了 解决方案 参考Android: set view style			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9YalVM.html" rel="bookmark">Flex中如何通过设置GridLines对象的horizontalAlternateFill样式交错显示LineSeries图表背景颜色的例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文 http://blog.minidx.com/2008/11/27/1652.html 接下来的例子演示了Flex中如何通过设置GridLines对象的horizontalAlternateFill样式,交错显示LineSeries图表背景颜色. 让我们先来看一下Demo(可以右键View Source或点击这里察看源代码):     下面是完整代码(或点击这里察看): Download: main.mxml &lt;?xmlversion=&quot;1.0&quot;?&gt; &lt;mx:A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNErLxb.html" rel="bookmark">flex中使用RadioButtonGroup时取出所选项的值的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 flex中的RadioButtonGroup想必大家并不陌生吧,在本文将为大家介绍下在使用RadioButtonGroup时如何取出所选项的值,感兴趣的朋友可以参考下 代码如下: &lt;mx:FormItem label=&quot;是否打印:&quot;&gt;  &lt;mx:HBox verticalAlign=&quot;middle&quot; horizontalGap=&quot;15&quot;&gt;  &lt;mx:RadioButtonGroup id=&quot;dayinID			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4YNX1b.html" rel="bookmark">Flex中实现对一个text渲染不同的字体颜色示例&lowbar;Flex</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开始把控件局限在label上,发现实现起来似乎不太现实.应该用textarea控件: 复制代码 代码如下: &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;s:Application xmlns:fx=&quot;http://ns.adobe.com/mxml/2009&quot; xmlns:s=&quot;library://ns.adobe.com/flex/spark&quot; xmlns:mx=&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLDNab.html" rel="bookmark">WPF学习备忘（2）WPF获取和设置鼠标位置与progressbar的使用方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.WPF 中获取和设置鼠标位置 方法一:WPF方法 Point p = Mouse.GetPosition (e.Source as FrameworkElement); Point p = (e.Source as FrameworkElement).PointToScreen(pp); 方法二: API方法 /// &lt;summary&gt; /// 设置鼠标的坐标 /// &lt;/summary&gt; /// &lt;param name=&quot;x&quot;&gt;横坐标&lt;/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz7aPKM.html" rel="bookmark">Flex中如何利用swatchHighlightSize样式设置ColorPicker控件加亮</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				接下来的例子演示了Flex中如何利用swatchHighlightSize样式,设置ColorPicker控件加亮边框粗细 尺寸. 下面是完整代码 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;mx:Applicationxmlns:mx=&quot;http://www.adobe.com/2006/mxml&quot; layout=&quot;vertical&quot; verticalAlign=&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwWlGWz.html" rel="bookmark">flex 监听事件-flex中的datefield组件中点击下拉选择日期改变时派发事件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 flex中的datefield组件中点击下拉选择日期改变时派发事件 如题,我需要在选择日期时监听change事件,执行脚本,但是为什么每次会执行两次脚本. 怎么可以控制只在选择日期之后派发,而在点击时不派发. /** 添加监听事件 / this.addEventListener(CalendarLayoutChangeEvent.CHANGE, selectedChange); /* 对象更改处理函数 */ protected function selectedChange(event			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7xkoab.html" rel="bookmark">在Word中为三位数字设置带圈字符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从2000版本开始,Word提供了设置带圈字符的功能,选定相应的字符,执行&quot;格式&quot;菜单下的&quot; 中文版式→带圈字符&quot;命令,然后&quot;带圈字符&quot; 对话框中选择好圈号,单击&quot;确定&quot;按钮就可以了. 不过,最近笔者发现一个奇怪的现象,那就是Word只能为两位数字设置带圈字符,对三位数字会自动缩减为两位数字(如图1),这是怎么一回事呢?原来,Word中的带圈字符功能只适用 于一个中文字或两个数字的情况,超过这一范围就无能为力了. 图1 其实,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jJDBb.html" rel="bookmark" class="title">学Linq to sql（三）：增、删、改</a>
					<div>
						示例数据库 字段名 字段类型 允许空 字段说明 ID uniqueidentifier   表主键字段 UserName varchar(50)   留言用户名 PostTime datetime   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PvWJM.html" rel="bookmark" class="title">app图标设计规范</a>
					<div>
						  产品图标网格已经形成了一致的标准,且建立了一套明确的图形元素定位规则.这种标准化带来了灵活,而连贯的系统. 以上已经是全尺寸比例高宽网格图可以右击另存作为参考图使用 网格 关键线的形状 关键线的形 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62oyOM.html" rel="bookmark" class="title">SQL语句语法大全</a>
					<div>
						三联小编整理的一些比较常用的SQL语句语法.需要的朋友可以过来参考下 一.数据控制语句 (DML) 部分 1.INSERT (往数据表里插入记录的语句) INSERT INTO 表名(字段名1, 字段 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPJ78z.html" rel="bookmark" class="title">在windows平台上构建自己的PHP实现方法&lpar;仅适用于php5&period;2&rpar;</a>
					<div>
						本篇文章是对在windows平台上构建自己的PHP实现方法进行了详细的分析介绍,需要的朋友可以参考下(仅适用于php5.2)   构建步骤1, 安装vs2008 2, 安装windows sdk 6. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7NYNM.html" rel="bookmark" class="title">php中使用sftp教程</a>
					<div>
						 这篇文章主要介绍了php中使用sftp教程,本文讲解了ftp 协议简介.ssh协议.sftp 协议等知识,并给出了FTP和SFTP操作类实现代码,需要的朋友可以参考下     ? 1 2 3 4 5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPABZz.html" rel="bookmark" class="title">Win7运行命令在哪？盘点Win7运行命令大全</a>
					<div>
						Win7运行命令在哪? ALT旁边的WIN徽标键,再按R,即win+R,就是运行命令快捷键 windows7开始中一开始是没有&quot;运行&quot;的,如下图红色椭圆处所示空白: 下面就教你如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42yerM.html" rel="bookmark" class="title">python使用urllib2实现发送带cookie的请求</a>
					<div>
						本文实例讲述了python使用urllib2实现发送带cookie的请求.分享给大家供大家参考.具体实现方法如下: ? 1 2 3 4 import urllib2 opener = urllib2. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZARKb.html" rel="bookmark" class="title">效果强悍的博客seo优化秘籍</a>
					<div>
						这里的博客包括单独的独立站,也包括常见的第三方免费博客.能达到效果的平台都可以尽量使用.博客seo优化的方法有很多,效果好的才是强悍的,总结的博客seo优化秘籍如下: 常见免费博客平台:新浪博客.搜狐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YKnrM.html" rel="bookmark" class="title">SpringMVC&plus;MyBatis&plus;JMS&plus;JTA（分布式事务）</a>
					<div>
						SpringMVC+MyBatis 相信已经是现在企业开发中常用技术了. 因为一些需求,我们需要集成JMS(我使用的是ActiveMQ),大家应该都知道,MQ也可以认为是一个数据源,数据也是数据源.这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE63NnM.html" rel="bookmark" class="title">ES5&period;0 新版本的特性与改进</a>
					<div>
						Elasticsearch 5.0 新版本的特性与改进 时间 2016-07-27 07:39:26  公众账号 原文  http://mp.weixin.qq.com/s?__biz=MzA5Nzk ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK1N8b.html" rel="bookmark" class="title">如何向云计算迈进</a>
					<div>
						云厂商正在跟虚拟计算的提供商一同宣传,云端是一个无缝的流程这个概念.生活告诉我们,过于猛烈的脱离内部数据中心,或者说部署到云端是一种较为复杂的方式.因为从部署流程到方式的全部事情,应用到的监控.调试等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRNGZp.html" rel="bookmark" class="title">celiometer可以采集的数据很少&comma;meter表的配置在哪</a>
					<div>
						问题描述 安装和部署完ceilometer后,我的meter表中可以采集的数据很少,在官方文档上看到的采集项都没有,比如cpu和cpu的使用都没有,请问是要哪里配置吗?还是其他原因 解决方案 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rLJjp.html" rel="bookmark" class="title">sql-登录的时候连接不上服务器</a>
					<div>
						问题描述 登录的时候连接不上服务器 tomcat报错 at java.lang.Thread.run(Thread.java:662) org.springframework.jdbc.Uncateg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5lL6M.html" rel="bookmark" class="title">深入剖析Android的Volley库中的图片加载功能&lowbar;Android</a>
					<div>
						一.基本使用要点回顾 Volley框架在请求网络图片方面也做了很多工作,提供了好几种方法.本文介绍使用ImageLoader来进行网络图片的加载. ImageLoader的内部使用ImageReque ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydY2vb.html" rel="bookmark" class="title">Java用if多重结构或者SWITCH编程</a>
					<div>
						问题描述 Java用if多重结构或者SWITCH编程输入3个整数,分别代表年月日,计算出其上一天和下一天是什么日期 解决方案 解决方案二:题意不明解决方案三:/**JFrame*/publicclas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqljyz.html" rel="bookmark" class="title">RFID技术已成企业优先事项</a>
					<div>
						在过去的几年中,达美航空一直使用RFID技术来提升飞机内氧气瓶的库存可见性.该系统正在该公司所有飞机上使用,减少了氧气瓶的浪费以及该装置过期时间查看耗费的时间. 达美航空不仅仅想要提升氧气瓶的库存可见 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgRQvM.html" rel="bookmark" class="title">随微信5&period;0版发布 &OpenCurlyDoubleQuote;打飞机&rdquo;成了小伙们的喜好</a>
					<div>
						硅谷网讯 为了突出&quot;和朋友们一起玩游戏&quot;的概念,用户首次登陆新版微信,将会直接进入一场&quot;打飞机&quot;的小游戏. 玩家点击并移动自己的大飞机,在躲避迎面而来的其它飞机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye9dJM.html" rel="bookmark" class="title">无效-oracle触发器中使用like语句，和hibernate共同使用时失效，怎么办？</a>
					<div>
						问题描述 oracle触发器中使用like语句,和hibernate共同使用时失效,怎么办? 我定义了一个触发器,主要功能是做一个表数据的同步,如果直接用toad增加数据,触发器可正常执行,但是靠hi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJx8kp.html" rel="bookmark" class="title">httpclient3&period;0 上传文件名及field中文解决方法</a>
					<div>
						最近利用httpclient来做模拟表单提交的程序,发现这个咚咚对中文的支持实在是差,查看源码后发现问题出现 在org\apache\commons\httpclient\util这个包里的Encod ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqBNVb.html" rel="bookmark" class="title">Spring Security3 和 hibernate3 整合例子，最好是和SSH整合的例子。</a>
					<div>
						问题描述 网上看了太多,就是没有能用的,E文不好,也看不懂文档了,特别请教下,哪位大牛能帮帮我,给小弟一个提升的机会,不胜感激,如能帮助小弟,小弟将不胜感激...小弟是个才入行的新手,是个菜鸟,希望大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBk2XkM.html" rel="bookmark" class="title">烟草行业信息化建设要点的分析</a>
					<div>
						21世纪是以信息技术为核心的高新技术主导的世纪.信息化已成为衡量一个国家.一个行业现代化程度的重要标志之一.烟草行业在9374.html&quot;&gt;世界经济全球化.信息网络化的时代背景下,特别 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnkemp.html" rel="bookmark" class="title">使用Vue&period;js创建一个时间跟踪的单页应用&lowbar;javascript技巧</a>
					<div>
						Vue.js很简单.正因为如此简单,人们常常认为其适合于小项目.虽然真正的Vue.js核心知识只是一个视图层库,实际上有一组工具,将使您能够使用Vue.js构建完整的大规模SPA(单页应用程序). S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkLm4M.html" rel="bookmark" class="title">针对百度搜索的优化总结</a>
					<div>
						我写东西一般喜欢开门见山,废话不说,这是去年要过年的时候在公司写的一篇东西,给公司编辑和员工看的. 一.百度的搜索排名原则:&lt;?xml:namespace prefix = o ns = &qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1X0Kb.html" rel="bookmark" class="title">Microsoft SQL server数据库转换为MySQL方法</a>
					<div>
						有时需要把MS SQL数据库转换成MySQL,但苦于没有好用的工具,个人使用一个手工转换的方法,相对来说还是比较方便的,对于只导一两个表的时候. 思想: 通过mssql构造出MySQL的insert  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE5e8z.html" rel="bookmark" class="title">Storage网盘赚钱  Storage网盘如何挣钱</a>
					<div>
						他人,只要有下载的,只要是通过链接形式的发布,有点想淘宝客推广的做法.     网盘推广方式     1.发帖   把链接发送出去,只要有需求的朋友看看到下载之后就会给你带来盈利.     2.seo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOJB7b.html" rel="bookmark" class="title">C&num; 程序在start debugging 结束后触动windows form</a>
					<div>
						问题描述 C#的lcd触屏设备程序startdebugging结束后关闭一个屏幕,触动其他windowsform的跳出,这种算是错误的程序吗?多谢!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4YVyYb.html" rel="bookmark" class="title">sql存储过程删除用户下所有对象语句</a>
					<div>
						 代码如下 复制代码 create or replace procedure drop_all as  cursor cur_obj is     select uo.OBJECT_NAME, uo. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwy0POM.html" rel="bookmark" class="title">《愤怒的小鸟》将选中国伙伴</a>
					<div>
						本报讯 (记者 阳淼) 4月27日到28日,第三届全球移动互联网大会(GMIC2011)将在北京召开.&lt;愤怒的小鸟&gt;(Angry Birds)开发商Rovio Mobile将参加这次全球移 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YAa8p.html" rel="bookmark" class="title">卡西欧推出iOS应用教弹琴 初级音乐爱好者必备</a>
					<div>
						腾讯数码讯(编译:唐马克)在iOS平台的众多应用中,音乐类应用是很重要的一部分,而无论是音乐游戏还是音乐创作软件都能带给用户很多欢乐.而作为一家知名的电子琴制造商,卡西欧日前也在iOS平台推出了两款电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmdK7qM.html" rel="bookmark" class="title">上海市政应急指挥地理信息系统案例&lbrack;2&rsqb;</a>
					<div>
						3.GIS服务器配置强大地图发布服务:ArcIMS4.x,通过ArcIMS可以建立InterNet/IntraNet Map Server的地图服务. 4.GIS应用客户端配置:MapObjects  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
